<div class="container ">
  <div class="row col-12 m-3 " >
    <button (click)="add(addModal)" class="btn-primary">Add user</button>
  </div>
  <div class="row col-12">
    <table id="dtBasicExample" class="table table-striped table-bordered table-sm" cellspacing="0" width="100%">
      <thead>
        <tr>
          <th class="th-sm">Id
            <i class="fa fa-sort float-right" aria-hidden="true"></i>
          </th>
          <th class="th-sm">User Id
            <i class="fa fa-sort float-right" aria-hidden="true"></i>
          </th>
          <th class="th-sm">Title
            <i class="fa fa-sort float-right" aria-hidden="true"></i>
          </th>
          <th class="th-sm">Body
            <i class="fa fa-sort float-right" aria-hidden="true"></i>
          </th>
          <th>
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor='let i of post_list'>
          <td>{{i.id}}</td>
          <td>{{i.userId}}</td>
          <td>{{i.title}}</td>
          <td>{{i.body}}</td>
          <td><button class="btn-primary   text-center btn-block btn-sm" (click)="edit(addModal,i)">Edit</button> <button class="btn-primary btn-sm  btn-block text-center" (click)="delete(deleteModal,i.id)">Delete</button></td>
        </tr>
      </tbody>
    </table>
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]=100 [(page)]="page" (pageChange)='getData()'></ngb-pagination>
  </div>
</div>


<ng-template #deleteModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Profile update</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.close(false)">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <label for="dateOfBirth">Do you want to delete this data?</label>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="modal.close(true)">Delete</button>
  </div>
</ng-template>

<ng-template #addModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Profile update</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.close(false)">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="addPostForm " novalidate>
      <div class="col-12 " style="padding-bottom: 2%;">
        <div class="form-group">
          <label for="title">Title:</label>
          <input type="text" class="form-control" id='title' formControlName="title" placeholder="Title" required />
        </div>
        <div class="form-group">
          <label for="title">Body:</label>
          <input type="text" class="form-control" id='name' formControlName="body" placeholder="Body" required />
        </div>
        <div class="form-group">
          <label for="user">User ID:</label>
          <input type="number" class="form-control" id='user' formControlName="user_id" placeholder="User Id" required />
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button mat-button [disabled]='addPostForm.pristine || addPostForm.invalid' (click)="addPost(addPostForm.value)">Save</button>
  </div>
</ng-template>
